Loading...
Searching...
No Matches
pappso::specself::SelfSpectrum Class Reference

`#include <selfspectrum.h>`

## Public Member Functions

| SelfSpectrum (const pappso::AaStringCodeMassMatching &codec_mass_matching, const Trace &trace)
virtual | ~SelfSpectrum ()
void | setPrecursorMass (const pappso::AaStringCodeMassMatching &codec_mass_matching, double precursor_mass)
void | setVariableModification (const pappso::AaStringCodeMassMatching &codec_mass_matching, const Aa &aa, int quantifier)
const SelfSpectrumMatrix & | getMatrix () const
const Trace & | getTrace () const

## Private Attributes

Trace | m_trace
SelfSpectrumMatrix | m_matrix

## Detailed Description

Todo
  write docs

Definition at line 44 of file selfspectrum.h.

## Constructor & Destructor Documentation

## SelfSpectrum()

pappso::specself::SelfSpectrum::SelfSpectrum | ( | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | const Trace & | trace )

Default constructor

Definition at line 37 of file selfspectrum.cpp.

{
m_trace = trace;
m_matrix.resize(m_trace.size(), m_trace.size());
qDebug() << m_trace.size();
for(auto itmi = ++m_matrix.begin1(); itmi != m_matrix.end1(); ++itmi)
{
qDebug() << itmi.index1();
for(auto itmj = ++itmi.begin(); itmj != itmi.end(); itmj++)
{
// itmj.fillSelfDataPoint(m_trace[itmj.index1()],
// m_trace[itmj.index2()]);
(*itmj).fillSelfSpectrumDataPoint(
codec_mass_matching, m_trace[itmj.index1()], m_trace[itmj.index2()]);
}
}
qDebug();
}
pappso::specself::SelfSpectrum::m_matrix
SelfSpectrumMatrix m_matrix
Definition selfspectrum.h:72
pappso::specself::SelfSpectrum::m_trace
Trace m_trace
Definition selfspectrum.h:71

References m_matrix, and m_trace.

## ~SelfSpectrum()

pappso::specself::SelfSpectrum::~SelfSpectrum | ( |  | ) |

virtual

Destructor

Definition at line 59 of file selfspectrum.cpp.

{
}

## Member Function Documentation

## getMatrix()

const SelfSpectrumMatrix & pappso::specself::SelfSpectrum::getMatrix | ( |  | ) | const

Definition at line 64 of file selfspectrum.cpp.

{
return m_matrix;
}

References m_matrix.

## getTrace()

const Trace & pappso::specself::SelfSpectrum::getTrace | ( |  | ) | const

Definition at line 71 of file selfspectrum.cpp.

{
return m_trace;
}

References m_trace.

## setPrecursorMass()

void pappso::specself::SelfSpectrum::setPrecursorMass | ( | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | double | precursor_mass )

Definition at line 78 of file selfspectrum.cpp.

{
for(auto itmi = ++m_matrix.begin1(); itmi != m_matrix.end1(); ++itmi)
{
for(auto itmj = ++itmi.begin(); itmj != itmi.end(); itmj++)
{
// itmj.fillSelfDataPoint(m_trace[itmj.index1()],
// m_trace[itmj.index2()]);
(*itmj).fillAntiSpectrumDataPoint(
precursor_mass, codec_mass_matching, m_trace[itmj.index1()], m_trace[itmj.index2()]);
}
}
}

References m_matrix, and m_trace.

## setVariableModification()

void pappso::specself::SelfSpectrum::setVariableModification | ( | const pappso::AaStringCodeMassMatching & | codec_mass_matching,
|  | const Aa & | aa,
|  | int | quantifier )

Definition at line 96 of file selfspectrum.cpp.

{
for(auto itmi = ++m_matrix.begin1(); itmi != m_matrix.end1(); ++itmi)
{
for(auto itmj = ++itmi.begin(); itmj != itmi.end(); itmj++)
{
// itmj.fillSelfDataPoint(m_trace[itmj.index1()],
// m_trace[itmj.index2()]);
(*itmj).setVariableModification(codec_mass_matching, aa, quantifier);
}
}
}

References m_matrix.

## Member Data Documentation

## m_matrix

SelfSpectrumMatrix pappso::specself::SelfSpectrum::m_matrix

private

Definition at line 72 of file selfspectrum.h.

Referenced by SelfSpectrum(), getMatrix(), setPrecursorMass(), and setVariableModification().

## m_trace

Trace pappso::specself::SelfSpectrum::m_trace

private

Definition at line 71 of file selfspectrum.h.

Referenced by SelfSpectrum(), getTrace(), and setPrecursorMass().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/specself/selfspectrum.h
- pappsomspp/core/processing/specself/selfspectrum.cpp